////////////////////////////////////////////////////////
//Brick Manager                                       //
//By Greek2me                                         //
//BL ID 11902                                         //
//                                                    //
//Core                                                //
//Version 2                                           //
////////////////////////////////////////////////////////

package brickmanager
{
	function serverCmdPlantBrick(%client)
		{
		if(%reseting == 0)
			{
			if($Server::BrickCount < $Pref::BrickManager::maxbricks)
				{
				Parent::serverCmdPlantBrick(%client);
				if($Pref::BrickManager::auto == 1)
					{
					if($Server::BrickCount >= $Pref::BrickManager::warning1 && $Server::BrickCount <= $Pref::BrickManager::maxbricks)
						{
						CenterPrintAll("<just:right>\<color:ff0000>Server Brick Limit Warning\n<color:ffffff>" @ $Server::BrickCount @ "/" @ $Pref::BrickManager::maxbricks SPC "<color:ff0000>Total Bricks",2);
						}
						else
						{
						//CenterPrintAll("<just:right><color:ffffff>" @ $Server::BrickCount @ "/" @ $Pref::BrickManager::maxbricks SPC "<color:ff0000>Total Bricks",2);
						}
					}
				}
				else
				{
				if($Pref::BrickManager::auto == 1)
					{
					schedule(0,0,reset1);
					}
					else
					{
					Parent::serverCmdPlantBrick(%client);
					}
				}
			}
		}

	function reset1()
		{
		%reseting = 1;
		changeMap();
		if($Pref::BrickManager::mode == 0)
			{
			schedule(5000,0,serverDirectSaveFileLoad,"saves/" @ $Pref::BrickManager::loadfile @ ".bls", 3, "", 0, 1);
			schedule(5000,0,centerPrintAll,$Pref::BrickManager::Info,8,1);
			echo("Brick Reset Complete");
			%reseting = 0;
			}
			else
			{
			echo("Brick Reset Complete");
			%reseting = 0;
			}
		}

	function ServerLoadSaveFile_End()
	{
		parent::ServerLoadSaveFile_End();
		for (%c = 0; %c < ClientGroup.getCount(); %c++)
			{
			if (ClientGroup.getObject(%c).hasSpawnedOnce)
				{
				ClientGroup.getObject(%c).instantRespawn();
				}
			}
	}

	function onMissionLoaded()
		{
		Parent::onMissionLoaded();
		schedule(1000*60*1,0,timer);
		}

	function timer()
		{
		%reseting = 0;
		if($Server::BrickCount > $Pref::BrickManager::maxbricks )
			{
			if(%reseting != 1 && $Pref::BrickManager::auto == 1)
				{
				schedule(0,0,reset1);
				}
			}
		schedule(1000*60*1,0,timer);
		}

	function serverCmdbrickreset(%client)
		{
		if(%client.isSuperAdmin)
			{
				if(%reseting != 1 && $Pref::BrickManager::command == 1 && $Server::BrickCount != 0)
				{
				%reseting = 1;
				CenterPrintAll("\c6The server is being manually reset by\c3" SPC %client.name, 2);
				schedule(1000*2,0,reset1);
				}
				if($Server::BrickCount == 0 && %reseting != 1)
					{
					messageClient(%client,'',"You need to place bricks before you can clear them.");
					}
				if($Pref::BrickManager::command == 0)
				{
				messageClient(%client,'',"The /brickreset command is currently disabled.");
				}
			}
		}
};

activatePackage("brickmanager");